ELSA-2018-4267

ELSA-2018-4267 - openssl security update

Type:SECURITY
Severity:IMPORTANT
Release Date:2018-11-06

Description


[1.0.2k-16.0.1]
- sha256 is used for the RSA pairwise consistency test instead of sha1

[1.0.2k-16]
- fix CVE-2018-0495 - ROHNP - Key Extraction Side Channel on DSA, ECDSA
- fix incorrect error message on FIPS DSA parameter generation (#1603597)

[1.0.2k-14]
- ppc64le is not multilib architecture (#1585004)

[1.0.2k-13]
- add S390x assembler updates
- make CA name list comparison function case sensitive (#1548401)
- fix CVE-2017-3735 - possible one byte overread with X.509 IPAdressFamily
- fix CVE-2018-0732 - large prime DH DoS of TLS client
- fix CVE-2018-0737 - RSA key generation cache timing vulnerability
- fix CVE-2018-0739 - stack overflow parsing recursive ASN.1 structure


Related CVEs



Updated Packages


Release/ArchitectureFilenameMD5sumSuperseded By Advisory
Oracle Linux 7 (x86_64) openssl-1.0.2k-16.0.1.ksplice1.el7.src.rpmb6836143c043a02a9fefaf49b7dace7a-
openssl-1.0.2k-16.0.1.ksplice1.el7.x86_64.rpmd36fa8a096d552764a6c4a6beae01ad8-
openssl-devel-1.0.2k-16.0.1.ksplice1.el7.i686.rpmb2cb558dbe61ab9cf50cfdd0baaec3b8-
openssl-devel-1.0.2k-16.0.1.ksplice1.el7.x86_64.rpm2e53869d81765fd8cea7f4d7207a32fb-
openssl-libs-1.0.2k-16.0.1.ksplice1.el7.i686.rpm4de47094c8265e79ff9e9390828de4a8-
openssl-libs-1.0.2k-16.0.1.ksplice1.el7.x86_64.rpm13d00a46d2b1f332eeb0eab5f0dd3a21-
openssl-perl-1.0.2k-16.0.1.ksplice1.el7.x86_64.rpmfd3918d2bc959bef42b55e72825b512c-
openssl-static-1.0.2k-16.0.1.ksplice1.el7.i686.rpm2b6b25f547513dedfdb552ed7627fbd4-
openssl-static-1.0.2k-16.0.1.ksplice1.el7.x86_64.rpmd87a4f84b9e00d868bb9c7e39fc26567-



This page is generated automatically and has not been checked for errors or omissions. For clarification or corrections please contact the Oracle Linux ULN team

software.hardware.complete